package kr.co.compcareworker.Data.PlanDetail;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.util.ArrayList;
import java.util.List;

import kr.co.compcareworker.Data.Login.Photo1Datum;

public class InvoiceData {
    @SerializedName("iv_idx")
    @Expose
    private String ivIdx;
    @SerializedName("iv_code")
    @Expose
    private String ivCode;
    @SerializedName("ag_idx")
    @Expose
    private String agIdx;
    @SerializedName("wo_idx")
    @Expose
    private String woIdx;
    @SerializedName("wr_idx")
    @Expose
    private String wrIdx;
    @SerializedName("es_price")
    @Expose
    private String esPrice;
    @SerializedName("item_supply")
    @Expose
    private String itemSupply;
    @SerializedName("item_vat")
    @Expose
    private String itemVat;
    @SerializedName("es_status")
    @Expose
    private Object esStatus;
    @SerializedName("pt_idx")
    @Expose
    private String ptIdx;
    @SerializedName("cp_idx")
    @Expose
    private String cpIdx;
    @SerializedName("cp_airline")
    @Expose
    private String cpAirline;
    @SerializedName("cu_name")
    @Expose
    private String cuName;
    @SerializedName("cu_code")
    @Expose
    private String cuCode;
    @SerializedName("cu_ceo")
    @Expose
    private String cuCeo;
    @SerializedName("cu_man")
    @Expose
    private Object cuMan;
    @SerializedName("cu_zip")
    @Expose
    private String cuZip;
    @SerializedName("cu_addr")
    @Expose
    private String cuAddr;
    @SerializedName("cu_tel")
    @Expose
    private String cuTel;
    @SerializedName("es_paymemo")
    @Expose
    private String esPaymemo;
    @SerializedName("es_delivery")
    @Expose
    private String esDelivery;
    @SerializedName("es_enddt")
    @Expose
    private Object esEnddt;
    @SerializedName("es_email")
    @Expose
    private String esEmail;
    @SerializedName("ag_name")
    @Expose
    private Object agName;
    @SerializedName("ag_email")
    @Expose
    private Object agEmail;
    @SerializedName("ag_mb_id")
    @Expose
    private Object agMbId;
    @SerializedName("ag_mb_name")
    @Expose
    private Object agMbName;
    @SerializedName("ag_mb_tel")
    @Expose
    private Object agMbTel;
    @SerializedName("es_memo")
    @Expose
    private String esMemo;
    @SerializedName("ins_dt")
    @Expose
    private String insDt;
    @SerializedName("send_dt")
    @Expose
    private String sendDt;
    @SerializedName("ok_dt")
    @Expose
    private String okDt;
    @SerializedName("ok_force")
    @Expose
    private String okForce;
    @SerializedName("ok_gu")
    @Expose
    private String okGu;
    @SerializedName("ok_mb_id")
    @Expose
    private String okMbId;
    @SerializedName("item_data")
    @Expose
    private List<ItemDatum> itemData = null;
    @SerializedName("item_str")
    @Expose
    private String itemStr;
    @SerializedName("cp_name")
    @Expose
    private String cpName;
    @SerializedName("photo1_data")
    @Expose
    private List<Photo1Datum> photo1Data = null;
    @SerializedName("photo1")
    @Expose
    private String photo1;
    @SerializedName("img_folder")
    @Expose
    private String imgFolder;
    @SerializedName("is_file_load")
    @Expose
    private boolean isFileLoad;
    @SerializedName("pd_name")
    @Expose
    private String pdName;

    @SerializedName("item_list")
    @Expose
    private ArrayList<InvoiceData> itemList;
    @SerializedName("pd_cnt")
    @Expose
    private String pdCnt;
    @SerializedName("pd_size")
    @Expose
    private String pdSize;
    @SerializedName("supply_price")
    @Expose
    private String supplyPrice;

    public String getPdName() {
        return pdName;
    }

    public void setPdName(String pdName) {
        this.pdName = pdName;
    }

    public String getIvIdx() {
        return ivIdx;
    }

    public void setIvIdx(String ivIdx) {
        this.ivIdx = ivIdx;
    }

    public String getIvCode() {
        return ivCode;
    }

    public void setIvCode(String ivCode) {
        this.ivCode = ivCode;
    }

    public String getAgIdx() {
        return agIdx;
    }

    public void setAgIdx(String agIdx) {
        this.agIdx = agIdx;
    }

    public String getWoIdx() {
        return woIdx;
    }

    public void setWoIdx(String woIdx) {
        this.woIdx = woIdx;
    }

    public String getWrIdx() {
        return wrIdx;
    }

    public void setWrIdx(String wrIdx) {
        this.wrIdx = wrIdx;
    }

    public String getEsPrice() {
        return esPrice;
    }

    public void setEsPrice(String esPrice) {
        this.esPrice = esPrice;
    }

    public String getItemSupply() {
        return itemSupply;
    }

    public void setItemSupply(String itemSupply) {
        this.itemSupply = itemSupply;
    }

    public String getItemVat() {
        return itemVat;
    }

    public void setItemVat(String itemVat) {
        this.itemVat = itemVat;
    }

    public Object getEsStatus() {
        return esStatus;
    }

    public void setEsStatus(Object esStatus) {
        this.esStatus = esStatus;
    }

    public String getPtIdx() {
        return ptIdx;
    }

    public void setPtIdx(String ptIdx) {
        this.ptIdx = ptIdx;
    }

    public String getCpIdx() {
        return cpIdx;
    }

    public void setCpIdx(String cpIdx) {
        this.cpIdx = cpIdx;
    }

    public String getCpAirline() {
        return cpAirline;
    }

    public void setCpAirline(String cpAirline) {
        this.cpAirline = cpAirline;
    }

    public String getCuName() {
        return cuName;
    }

    public void setCuName(String cuName) {
        this.cuName = cuName;
    }

    public String getCuCode() {
        return cuCode;
    }

    public void setCuCode(String cuCode) {
        this.cuCode = cuCode;
    }

    public String getCuCeo() {
        return cuCeo;
    }

    public void setCuCeo(String cuCeo) {
        this.cuCeo = cuCeo;
    }

    public Object getCuMan() {
        return cuMan;
    }

    public void setCuMan(Object cuMan) {
        this.cuMan = cuMan;
    }

    public String getCuZip() {
        return cuZip;
    }

    public void setCuZip(String cuZip) {
        this.cuZip = cuZip;
    }

    public String getCuAddr() {
        return cuAddr;
    }

    public void setCuAddr(String cuAddr) {
        this.cuAddr = cuAddr;
    }

    public String getCuTel() {
        return cuTel;
    }

    public void setCuTel(String cuTel) {
        this.cuTel = cuTel;
    }

    public String getEsPaymemo() {
        return esPaymemo;
    }

    public void setEsPaymemo(String esPaymemo) {
        this.esPaymemo = esPaymemo;
    }

    public String getEsDelivery() {
        return esDelivery;
    }

    public void setEsDelivery(String esDelivery) {
        this.esDelivery = esDelivery;
    }

    public Object getEsEnddt() {
        return esEnddt;
    }

    public void setEsEnddt(Object esEnddt) {
        this.esEnddt = esEnddt;
    }

    public String getEsEmail() {
        return esEmail;
    }

    public void setEsEmail(String esEmail) {
        this.esEmail = esEmail;
    }

    public Object getAgName() {
        return agName;
    }

    public void setAgName(Object agName) {
        this.agName = agName;
    }

    public Object getAgEmail() {
        return agEmail;
    }

    public void setAgEmail(Object agEmail) {
        this.agEmail = agEmail;
    }

    public Object getAgMbId() {
        return agMbId;
    }

    public void setAgMbId(Object agMbId) {
        this.agMbId = agMbId;
    }

    public Object getAgMbName() {
        return agMbName;
    }

    public void setAgMbName(Object agMbName) {
        this.agMbName = agMbName;
    }

    public Object getAgMbTel() {
        return agMbTel;
    }

    public void setAgMbTel(Object agMbTel) {
        this.agMbTel = agMbTel;
    }

    public String getEsMemo() {
        return esMemo;
    }

    public void setEsMemo(String esMemo) {
        this.esMemo = esMemo;
    }

    public String getInsDt() {
        return insDt;
    }

    public void setInsDt(String insDt) {
        this.insDt = insDt;
    }

    public String getSendDt() {
        return sendDt;
    }

    public void setSendDt(String sendDt) {
        this.sendDt = sendDt;
    }

    public String getOkDt() {
        return okDt;
    }

    public void setOkDt(String okDt) {
        this.okDt = okDt;
    }

    public String getOkForce() {
        return okForce;
    }

    public void setOkForce(String okForce) {
        this.okForce = okForce;
    }

    public String getOkGu() {
        return okGu;
    }

    public void setOkGu(String okGu) {
        this.okGu = okGu;
    }

    public String getOkMbId() {
        return okMbId;
    }

    public void setOkMbId(String okMbId) {
        this.okMbId = okMbId;
    }

    public List<ItemDatum> getItemData() {
        return itemData;
    }

    public void setItemData(List<ItemDatum> itemData) {
        this.itemData = itemData;
    }

    public String getItemStr() {
        return itemStr;
    }

    public void setItemStr(String itemStr) {
        this.itemStr = itemStr;
    }

    public String getCpName() {
        return cpName;
    }

    public void setCpName(String cpName) {
        this.cpName = cpName;
    }

    public List<Photo1Datum> getPhoto1Data() {
        return photo1Data;
    }

    public void setPhoto1Data(List<Photo1Datum> photo1Data) {
        this.photo1Data = photo1Data;
    }

    public String getPhoto1() {
        return photo1;
    }

    public void setPhoto1(String photo1) {
        this.photo1 = photo1;
    }

    public String getImgFolder() {
        return imgFolder;
    }

    public void setImgFolder(String imgFolder) {
        this.imgFolder = imgFolder;
    }

    public boolean isIsFileLoad() {
        return isFileLoad;
    }

    public void setIsFileLoad(boolean isFileLoad) {
        this.isFileLoad = isFileLoad;
    }

    public ArrayList<InvoiceData> getItemList() {
        return itemList;
    }

    public String getPdSize() {
        return pdSize;
    }

    public String getSupplyPrice() {
        return supplyPrice;
    }

    public String getPdCnt() {
        return pdCnt;
    }
}
